<?php

/*-----------------------------------------------------------------------------------*/
/* Enqueue script and styles */
/*-----------------------------------------------------------------------------------*/

function movie_review_blog_enqueue_google_fonts() {

	require_once get_theme_file_path( 'core/includes/wptt-webfont-loader.php' );

	wp_enqueue_style(
		'google-fonts',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap' ),
		array(),
		'1.0'
	);

	wp_enqueue_style(
		'google-fonts-sacramento',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Sacramento&display=swap' ),
		array(),
		'1.0'
	);

}
add_action( 'wp_enqueue_scripts', 'movie_review_blog_enqueue_google_fonts' );

if (!function_exists('movie_review_blog_enqueue_scripts')) {

	function movie_review_blog_enqueue_scripts() {

		wp_enqueue_style(
			'bootstrap-css',
			get_template_directory_uri() . '/css/bootstrap.css',
			array(),'4.5.0'
		);

		wp_enqueue_style(
			'fontawesome-css',
			get_template_directory_uri() . '/css/fontawesome-all.css',
			array(),'4.5.0'
		);

		wp_enqueue_style(
			'owl.carousel-css',
			get_template_directory_uri() . '/css/owl.carousel.css',
			array(),'2.3.4'
		);

		wp_enqueue_style('movie-review-blog-style', get_stylesheet_uri(), array() );

		wp_enqueue_style('dashicons');

		wp_style_add_data('movie-review-blog-style', 'rtl', 'replace');

		wp_enqueue_style(
			'movie-review-blog-media-css',
			get_template_directory_uri() . '/css/media.css',
			array(),'2.3.4'
		);

		wp_enqueue_style(
			'movie-review-blog-woocommerce-css',
			get_template_directory_uri() . '/css/woocommerce.css',
			array(),'2.3.4'
		);

		wp_enqueue_script(
			'movie-review-blog-navigation',
			get_template_directory_uri() . '/js/navigation.js',
			FALSE,
			'1.0',
			TRUE
		);

		wp_enqueue_script(
			'owl.carousel-js',
			get_template_directory_uri() . '/js/owl.carousel.js',
			array('jquery'),
			'2.3.4',
			TRUE
		);

		wp_enqueue_script(
			'movie-review-blog-script',
			get_template_directory_uri() . '/js/script.js',
			array('jquery'),
			'1.0',
			TRUE
		);

		if ( get_theme_mod( 'movie_review_blog_animation_enabled', true ) ) {
        wp_enqueue_script(
            'movie-review-blog-wow-script',
            get_template_directory_uri() . '/js/wow.js',
            array( 'jquery' ),
            '1.0',
            true
        );

        wp_enqueue_style(
            'movie-review-blog-animate',
            get_template_directory_uri() . '/css/animate.css',
            array(),
            '4.1.1'
        );
	    }

		if ( is_singular() ) wp_enqueue_script( 'comment-reply' );

		$movie_review_blog_css = '';

		if ( get_header_image() ) :

			$movie_review_blog_css .=  '
				header#site-navigation, .page-template-frontpage #site-navigation{
					background-image: url('.esc_url(get_header_image()).');
					-webkit-background-size: cover !important;
					-moz-background-size: cover !important;
					-o-background-size: cover !important;
					background-size: cover !important;
				}';
		endif;

		wp_add_inline_style( 'movie-review-blog-style', $movie_review_blog_css );

		// Theme Customize CSS.
		require get_template_directory(). '/core/includes/inline.php';
		wp_add_inline_style( 'movie-review-blog-style',$movie_review_blog_custom_css );

	}

	add_action( 'wp_enqueue_scripts', 'movie_review_blog_enqueue_scripts' );
}

/*-----------------------------------------------------------------------------------*/
/* Setup theme */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('movie_review_blog_after_setup_theme')) {

	function movie_review_blog_after_setup_theme() {

		load_theme_textdomain( 'movie-review-blog', get_stylesheet_directory() . '/languages' );
		if ( ! isset( $movie_review_blog_content_width ) ) $movie_review_blog_content_width = 900;

		register_nav_menus( array(
			'main-menu' => esc_html__( 'Main Menu', 'movie-review-blog' ),
		));

		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'align-wide' );
		add_theme_support('title-tag');
		add_theme_support('automatic-feed-links');
		add_theme_support( 'wp-block-styles' );
		add_theme_support('post-thumbnails');
		add_theme_support( 'custom-background', array(
		  'default-color' => 'f3f3f3'
		));

		add_theme_support( 'custom-logo', array(
			'height'      => 70,
			'width'       => 70,
		) );

		add_theme_support( 'custom-header', array(
			'header-text' => false,
			'width' => 1920,
			'height' => 100
		));

		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

		add_editor_style( array( '/css/editor-style.css' ) );
		
	}

	add_action( 'after_setup_theme', 'movie_review_blog_after_setup_theme', 999 );

}


function movie_review_blog_template_setup() {

require get_template_directory() .'/core/includes/customizer-notice/movie-review-blog-customizer-notify.php';
require get_template_directory() .'/core/includes/theme-breadcrumb.php';
require get_template_directory() .'/core/includes/main.php';
require get_template_directory() . '/core/includes/importer/config.php';
require get_template_directory() . '/core/includes/customizer.php';
load_template( trailingslashit( get_template_directory() ) . '/core/includes/class-upgrade-pro.php' );

}
add_action('after_setup_theme', 'movie_review_blog_template_setup');

/*-----------------------------------------------------------------------------------*/
/* Enqueue theme logo style */
/*-----------------------------------------------------------------------------------*/
function movie_review_blog_logo_resizer() {

    $movie_review_blog_theme_logo_size_css = '';
    $movie_review_blog_logo_resizer = get_theme_mod('movie_review_blog_logo_resizer');

	$movie_review_blog_theme_logo_size_css = '
		.custom-logo{
			height: '.esc_attr($movie_review_blog_logo_resizer).'px !important;
			width: '.esc_attr($movie_review_blog_logo_resizer).'px !important;
		}
	';
    wp_add_inline_style( 'movie-review-blog-style',$movie_review_blog_theme_logo_size_css );

}
add_action( 'wp_enqueue_scripts', 'movie_review_blog_logo_resizer' );

/*-----------------------------------------------------------------------------------*/
/* Get post comments */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('movie_review_blog_comment')) :
    /**
     * Template for comments and pingbacks.
     *
     * Used as a callback by wp_list_comments() for displaying the comments.
     */
    function movie_review_blog_comment($comment, $args, $depth){

        if ('pingback' == $comment->comment_type || 'trackback' == $comment->comment_type) : ?>

            <li id="comment-<?php comment_ID(); ?>" <?php comment_class('media'); ?>>
            <div class="comment-body">
                <?php esc_html_e('Pingback:', 'movie-review-blog');
                comment_author_link(); ?><?php edit_comment_link(__('Edit', 'movie-review-blog'), '<span class="edit-link">', '</span>'); ?>
            </div>

        <?php else : ?>

        <li id="comment-<?php comment_ID(); ?>" <?php comment_class(empty($args['has_children']) ? '' : 'parent'); ?>>
            <article id="div-comment-<?php comment_ID(); ?>" class="comment-body media mb-4">
                <a class="pull-left" href="#">
                    <?php if (0 != $args['avatar_size']) echo get_avatar($comment, $args['avatar_size']); ?>
                </a>
                <div class="media-body">
                    <div class="media-body-wrap card">
                        <div class="card-header">
                            <h5 class="mt-0"><?php /* translators: %s: author */ printf('<cite class="fn">%s</cite>', get_comment_author_link() ); ?></h5>
                            <div class="comment-meta">
							    <a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
							        <time datetime="<?php comment_time( 'c' ); ?>">
							            <?php printf(
							                esc_html__( '%1$s at %2$s', 'movie-review-blog' ),
							                esc_html( get_comment_date() ), esc_html( get_comment_time() ) ); ?>
							        </time>
							    </a>
							    <?php
							    edit_comment_link(esc_html__( 'Edit', 'movie-review-blog' ),'<span class="edit-link">','</span>');?>
							</div>
                        </div>

                        <?php if ('0' == $comment->comment_approved) : ?>
                            <p class="comment-awaiting-moderation"><?php esc_html_e('Your comment is awaiting moderation.', 'movie-review-blog'); ?></p>
                        <?php endif; ?>

                        <div class="comment-content card-block">
                            <?php comment_text(); ?>
                        </div>

                        <?php comment_reply_link(
                            array_merge(
                                $args, array(
                                    'add_below' => 'div-comment',
                                    'depth' => $depth,
                                    'max_depth' => $args['max_depth'],
                                    'before' => '<footer class="reply comment-reply card-footer">',
                                    'after' => '</footer><!-- .reply -->'
                                )
                            )
                        ); ?>
                    </div>
                </div>
            </article>

            <?php
        endif;
    }
endif; // ends check for movie_review_blog_comment()

if (!function_exists('movie_review_blog_widgets_init')) {

	function movie_review_blog_widgets_init() {

		register_sidebar(array(

			'name' => esc_html__('Sidebar','movie-review-blog'),
			'id'   => 'movie-review-blog-sidebar',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'movie-review-blog'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Sidebar 2','movie-review-blog'),
			'id'   => 'movie-review-blog-sidebar-2',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'movie-review-blog'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Sidebar 3','movie-review-blog'),
			'id'   => 'movie-review-blog-sidebar-3',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'movie-review-blog'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));


		register_sidebar(array(

			'name' => esc_html__('Footer Sidebar','movie-review-blog'),
			'id'   => 'movie-review-blog-footer-sidebar',
			'description'   => esc_html__('This sidebar will be shown next at the bottom of your content.', 'movie-review-blog'),
			'before_widget' => '<div id="%1$s" class="col-lg-3 col-md-3 %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

	}

	add_action( 'widgets_init', 'movie_review_blog_widgets_init' );

}

function movie_review_blog_get_categories_select() {
	$teh_cats = get_categories();
	$results = array();
	$count = count($teh_cats);
	for ($i=0; $i < $count; $i++) {
	if (isset($teh_cats[$i]))
  		$results[$teh_cats[$i]->slug] = $teh_cats[$i]->name;
	else
  		$count++;
	}
	return $results;
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'movie_review_blog_loop_columns');
if (!function_exists('movie_review_blog_loop_columns')) {
	function movie_review_blog_loop_columns() {
		$movie_review_blog_columns = get_theme_mod( 'movie_review_blog_per_columns', 3 );
		return $movie_review_blog_columns;
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'movie_review_blog_per_page', 20 );
function movie_review_blog_per_page( $movie_review_blog_cols ) {
  	$movie_review_blog_cols = get_theme_mod( 'movie_review_blog_product_per_page', 9 );
	return $movie_review_blog_cols;
}

// Add filter to modify the number of related products
add_filter( 'woocommerce_output_related_products_args', 'movie_review_blog_products_args' );
function movie_review_blog_products_args( $args ) {
    $args['posts_per_page'] = get_theme_mod( 'custom_related_products_number', 6 );
    $args['columns'] = get_theme_mod( 'custom_related_products_number_per_row', 3 );
    return $args;
}

/*-----------------------------------------------------------------------------------*/
/* Enqueue Global color style */
/*-----------------------------------------------------------------------------------*/
function movie_review_blog_global_color() {

    $movie_review_blog_theme_color_css = '';
    $movie_review_blog_copyright_bg = get_theme_mod('movie_review_blog_copyright_bg');

	$movie_review_blog_theme_color_css = '
    	.copyright {
			background: '.esc_attr($movie_review_blog_copyright_bg).';
		}
	';
    wp_add_inline_style( 'movie-review-blog-style',$movie_review_blog_theme_color_css );
    wp_add_inline_style( 'movie-review-blog-woocommerce-css',$movie_review_blog_theme_color_css );

}
add_action( 'wp_enqueue_scripts', 'movie_review_blog_global_color' );

//add animation class
if ( class_exists( 'WooCommerce' ) ) { 
	add_filter('post_class', function($movie_review_blog, $class, $product_id) {
	    if( is_shop() || is_product_category() ){
	        
	        $movie_review_blog = array_merge(['wow','zoomIn'], $movie_review_blog);
	    }
	    return $movie_review_blog;
	},10,3);
}

function get_page_id_by_title($pagename){

    $args = array(
        'post_type' => 'page',
        'posts_per_page' => 1,
        'post_status' => 'publish',
        'title' => $pagename
    );
    $query = new WP_Query( $args );

    $page_id = '1';
    if (isset($query->post->ID)) {
        $page_id = $query->post->ID;
    }

    return $page_id;
}

add_action( 'customize_register', 'movie_review_blog_remove_setting', 20 );
function movie_review_blog_remove_setting( $wp_customize ) {
    // Check if the setting or control exists before removing
    if ( $wp_customize->get_setting( 'header_textcolor' ) ) {
        $wp_customize->remove_setting( 'header_textcolor' );
    }

    if ( $wp_customize->get_control( 'header_textcolor' ) ) {
        $wp_customize->remove_control( 'header_textcolor' );
    }
}

// edit link option
if (!function_exists('movie_review_blog_edit_link')) :

    function movie_review_blog_edit_link($view = 'default')
    {
        global $post;
            edit_post_link(
                sprintf(
                    wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                        __('Edit <span class="screen-reader-text">%s</span>', 'movie-review-blog'),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    get_the_title()
                ),
                '<span class="edit-link"><i class="fas fa-edit"></i>',
                '</span>'
            );

    }
endif;

/*-----------------------------------------------------------------------------------*/
/* Dark Mode */
/*-----------------------------------------------------------------------------------*/

function movie_review_blog_body_class( $movie_review_blog_classes ) {
    $movie_review_blog_dark_mode_enabled = get_theme_mod( 'movie_review_blog_is_dark_mode_enabled', false );

    if ( $movie_review_blog_dark_mode_enabled ) {
        $movie_review_blog_classes[] = 'dark-mode';
    }

    return $movie_review_blog_classes;
}
add_filter( 'body_class', 'movie_review_blog_body_class' );